# Documentation

[Math.js](http://mathjs.org) is an extensive math library for JavaScript and Node.js.
It features a flexible expression parser and offers an integrated solution
to work with numbers, big numbers, complex numbers, units, and matrices.
Powerful and easy to use.

This documentation of contains a getting started tutorial,
an extensive overview describing math.js on a high level,
and a reference describing all available functions in detail.


## Getting Started

- [Getting Started](getting_started.md)


## Overview

- [Constants](constants.md)
- [Functions](functions.md)
- [Expressions](expressions.md)
- [Chained Operations](chained_operations.md)
- [Data Types](datatypes/index.md)
  - [Numbers](datatypes/numbers.md)
  - [BigNumbers](datatypes/bignumbers.md)
  - [Complex Numbers](datatypes/complex_numbers.md)
  - [Matrices](datatypes/matrices.md)
  - [Units](datatypes/units.md)
- [Import](import.md)
- [Configuration](configuration.md)
- [Command Line Interface](command_line_interface.md)


## Reference

  - [Functions](reference/functions)
