# Function number

Create a number or convert a string to a number.
When value is a matrix, all elements will be converted to number.


## Syntax

```js
math.number(value)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`value` | String &#124; Number &#124; Boolean &#124; Array &#124; Matrix | Value to be converted

### Returns

Type | Description
---- | -----------
Number &#124; Array &#124; Matrix | The created number


## Examples

```js
var math = mathjs();

math.number(2);                         // returns number 2
math.number('7.2');                     // returns number 7.2
math.number(true);                      // returns number 1
math.number([true, false, true, true]); // returns [1, 0, 1, 1]
```


## See also

[bignumber](bignumber.md),
[boolean](boolean.md),
[complex](complex.md),
[index](index.md),
[matrix](matrix.md),
[string](string.md),
[unit](unit.md)


<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->
